oc_jpegencode 1.0 JPEGencoder

Static Public Member Functions | Public Attributes | List of all members
cr_huff Module Reference
Inheritance diagram for cr_huff:
[legend]

## Static Public Member Functions

## Always Constructs
ALWAYS_139 | ( clk )
ALWAYS_140 | ( clk )
ALWAYS_141 | ( clk )
ALWAYS_142 | ( clk )
ALWAYS_143 | ( clk )
ALWAYS_144 | ( clk )
ALWAYS_145 | ( clk )
ALWAYS_146 | ( clk )
ALWAYS_147 | ( clk )
ALWAYS_148 | ( clk )
ALWAYS_149 | ( clk )
ALWAYS_150 | ( clk )
ALWAYS_151 | ( clk )
ALWAYS_152 | ( clk )
ALWAYS_153 | ( clk )
ALWAYS_154 | ( clk )
ALWAYS_155 | ( clk )
ALWAYS_156 | ( clk )
ALWAYS_157 | ( clk )
ALWAYS_158 | ( clk )
ALWAYS_159 | ( clk )
ALWAYS_160 | ( clk )
ALWAYS_161 | ( clk )
ALWAYS_162 | ( clk )
ALWAYS_163 | ( clk )
ALWAYS_164 | ( clk )
ALWAYS_165 | ( clk )
ALWAYS_166 | ( clk )
ALWAYS_167 | ( clk )
ALWAYS_168 | ( clk )
ALWAYS_169 | ( clk )
ALWAYS_170 | ( clk )
ALWAYS_171 | ( clk )
ALWAYS_172 | ( clk )
ALWAYS_173 | ( clk )
ALWAYS_174 | ( clk )
ALWAYS_175 | ( clk )
ALWAYS_176 | ( clk )
ALWAYS_177 | ( clk )
ALWAYS_178 | ( clk )
ALWAYS_179 | ( clk )
ALWAYS_180 | ( clk )
ALWAYS_181 | ( clk )
ALWAYS_182 | ( clk )
ALWAYS_183 | ( clk )
ALWAYS_184 | ( clk )
ALWAYS_185 | ( clk )
ALWAYS_186 | ( clk )
ALWAYS_187 | ( clk )
ALWAYS_188 | ( clk )
ALWAYS_189 | ( clk )
ALWAYS_190 | ( clk )
ALWAYS_191 | ( clk )
ALWAYS_192 | ( clk )
ALWAYS_193 | ( clk )
ALWAYS_194 | ( clk )
ALWAYS_195 | ( clk )
ALWAYS_196 | ( clk )
ALWAYS_197 | ( clk )
ALWAYS_198 | ( clk )
ALWAYS_199 | ( clk )
ALWAYS_200 | ( clk )
ALWAYS_201 | ( clk )
ALWAYS_202 | ( clk )
ALWAYS_203 | ( clk )
ALWAYS_204 | ( clk )
ALWAYS_205 | ( clk )
ALWAYS_206 | ( clk )
ALWAYS_207 | ( clk )
ALWAYS_208 | ( clk )

## Public Attributes

## Inputs
clk |
rst |
enable |
Cr11 | [ 10 : 0 ]
Cr12 | [ 10 : 0 ]
Cr13 | [ 10 : 0 ]
Cr14 | [ 10 : 0 ]
Cr15 | [ 10 : 0 ]
Cr16 | [ 10 : 0 ]
Cr17 | [ 10 : 0 ]
Cr18 | [ 10 : 0 ]
Cr21 | [ 10 : 0 ]
Cr22 | [ 10 : 0 ]
Cr23 | [ 10 : 0 ]
Cr24 | [ 10 : 0 ]
Cr25 | [ 10 : 0 ]
Cr26 | [ 10 : 0 ]
Cr27 | [ 10 : 0 ]
Cr28 | [ 10 : 0 ]
Cr31 | [ 10 : 0 ]
Cr32 | [ 10 : 0 ]
Cr33 | [ 10 : 0 ]
Cr34 | [ 10 : 0 ]
Cr35 | [ 10 : 0 ]
Cr36 | [ 10 : 0 ]
Cr37 | [ 10 : 0 ]
Cr38 | [ 10 : 0 ]
Cr41 | [ 10 : 0 ]
Cr42 | [ 10 : 0 ]
Cr43 | [ 10 : 0 ]
Cr44 | [ 10 : 0 ]
Cr45 | [ 10 : 0 ]
Cr46 | [ 10 : 0 ]
Cr47 | [ 10 : 0 ]
Cr48 | [ 10 : 0 ]
Cr51 | [ 10 : 0 ]
Cr52 | [ 10 : 0 ]
Cr53 | [ 10 : 0 ]
Cr54 | [ 10 : 0 ]
Cr55 | [ 10 : 0 ]
Cr56 | [ 10 : 0 ]
Cr57 | [ 10 : 0 ]
Cr58 | [ 10 : 0 ]
Cr61 | [ 10 : 0 ]
Cr62 | [ 10 : 0 ]
Cr63 | [ 10 : 0 ]
Cr64 | [ 10 : 0 ]
Cr65 | [ 10 : 0 ]
Cr66 | [ 10 : 0 ]
Cr67 | [ 10 : 0 ]
Cr68 | [ 10 : 0 ]
Cr71 | [ 10 : 0 ]
Cr72 | [ 10 : 0 ]
Cr73 | [ 10 : 0 ]
Cr74 | [ 10 : 0 ]
Cr75 | [ 10 : 0 ]
Cr76 | [ 10 : 0 ]
Cr77 | [ 10 : 0 ]
Cr78 | [ 10 : 0 ]
Cr81 | [ 10 : 0 ]
Cr82 | [ 10 : 0 ]
Cr83 | [ 10 : 0 ]
Cr84 | [ 10 : 0 ]
Cr85 | [ 10 : 0 ]
Cr86 | [ 10 : 0 ]
Cr87 | [ 10 : 0 ]
Cr88 | [ 10 : 0 ]

## Outputs
JPEG_bitstream | [ 31 : 0 ]
data_ready |
output_reg_count | [ 4 : 0 ]
end_of_block_empty |

## Signals
reg[ 7 : 0 ] | block_counter
reg[ 11 : 0 ] | Cr11_amp
reg[ 11 : 0 ] | Cr11_1_pos
reg[ 11 : 0 ] | Cr11_1_neg
reg[ 11 : 0 ] | Cr11_diff
reg[ 11 : 0 ] | Cr11_previous
reg[ 11 : 0 ] | Cr11_1
reg[ 10 : 0 ] | Cr12_amp
reg[ 10 : 0 ] | Cr12_pos
reg[ 10 : 0 ] | Cr12_neg
reg[ 10 : 0 ] | Cr21_pos
reg[ 10 : 0 ] | Cr21_neg
reg[ 10 : 0 ] | Cr31_pos
reg[ 10 : 0 ] | Cr31_neg
reg[ 10 : 0 ] | Cr22_pos
reg[ 10 : 0 ] | Cr22_neg
reg[ 10 : 0 ] | Cr13_pos
reg[ 10 : 0 ] | Cr13_neg
reg[ 10 : 0 ] | Cr14_pos
reg[ 10 : 0 ] | Cr14_neg
reg[ 10 : 0 ] | Cr15_pos
reg[ 10 : 0 ] | Cr15_neg
reg[ 10 : 0 ] | Cr16_pos
reg[ 10 : 0 ] | Cr16_neg
reg[ 10 : 0 ] | Cr17_pos
reg[ 10 : 0 ] | Cr17_neg
reg[ 10 : 0 ] | Cr18_pos
reg[ 10 : 0 ] | Cr18_neg
reg[ 10 : 0 ] | Cr23_pos
reg[ 10 : 0 ] | Cr23_neg
reg[ 10 : 0 ] | Cr24_pos
reg[ 10 : 0 ] | Cr24_neg
reg[ 10 : 0 ] | Cr25_pos
reg[ 10 : 0 ] | Cr25_neg
reg[ 10 : 0 ] | Cr26_pos
reg[ 10 : 0 ] | Cr26_neg
reg[ 10 : 0 ] | Cr27_pos
reg[ 10 : 0 ] | Cr27_neg
reg[ 10 : 0 ] | Cr28_pos
reg[ 10 : 0 ] | Cr28_neg
reg[ 10 : 0 ] | Cr32_pos
reg[ 10 : 0 ] | Cr32_neg
reg[ 10 : 0 ] | Cr33_pos
reg[ 10 : 0 ] | Cr33_neg
reg[ 10 : 0 ] | Cr34_pos
reg[ 10 : 0 ] | Cr34_neg
reg[ 10 : 0 ] | Cr35_pos
reg[ 10 : 0 ] | Cr35_neg
reg[ 10 : 0 ] | Cr36_pos
reg[ 10 : 0 ] | Cr36_neg
reg[ 10 : 0 ] | Cr37_pos
reg[ 10 : 0 ] | Cr37_neg
reg[ 10 : 0 ] | Cr38_pos
reg[ 10 : 0 ] | Cr38_neg
reg[ 10 : 0 ] | Cr41_pos
reg[ 10 : 0 ] | Cr41_neg
reg[ 10 : 0 ] | Cr42_pos
reg[ 10 : 0 ] | Cr42_neg
reg[ 10 : 0 ] | Cr43_pos
reg[ 10 : 0 ] | Cr43_neg
reg[ 10 : 0 ] | Cr44_pos
reg[ 10 : 0 ] | Cr44_neg
reg[ 10 : 0 ] | Cr45_pos
reg[ 10 : 0 ] | Cr45_neg
reg[ 10 : 0 ] | Cr46_pos
reg[ 10 : 0 ] | Cr46_neg
reg[ 10 : 0 ] | Cr47_pos
reg[ 10 : 0 ] | Cr47_neg
reg[ 10 : 0 ] | Cr48_pos
reg[ 10 : 0 ] | Cr48_neg
reg[ 10 : 0 ] | Cr51_pos
reg[ 10 : 0 ] | Cr51_neg
reg[ 10 : 0 ] | Cr52_pos
reg[ 10 : 0 ] | Cr52_neg
reg[ 10 : 0 ] | Cr53_pos
reg[ 10 : 0 ] | Cr53_neg
reg[ 10 : 0 ] | Cr54_pos
reg[ 10 : 0 ] | Cr54_neg
reg[ 10 : 0 ] | Cr55_pos
reg[ 10 : 0 ] | Cr55_neg
reg[ 10 : 0 ] | Cr56_pos
reg[ 10 : 0 ] | Cr56_neg
reg[ 10 : 0 ] | Cr57_pos
reg[ 10 : 0 ] | Cr57_neg
reg[ 10 : 0 ] | Cr58_pos
reg[ 10 : 0 ] | Cr58_neg
reg[ 10 : 0 ] | Cr61_pos
reg[ 10 : 0 ] | Cr61_neg
reg[ 10 : 0 ] | Cr62_pos
reg[ 10 : 0 ] | Cr62_neg
reg[ 10 : 0 ] | Cr63_pos
reg[ 10 : 0 ] | Cr63_neg
reg[ 10 : 0 ] | Cr64_pos
reg[ 10 : 0 ] | Cr64_neg
reg[ 10 : 0 ] | Cr65_pos
reg[ 10 : 0 ] | Cr65_neg
reg[ 10 : 0 ] | Cr66_pos
reg[ 10 : 0 ] | Cr66_neg
reg[ 10 : 0 ] | Cr67_pos
reg[ 10 : 0 ] | Cr67_neg
reg[ 10 : 0 ] | Cr68_pos
reg[ 10 : 0 ] | Cr68_neg
reg[ 10 : 0 ] | Cr71_pos
reg[ 10 : 0 ] | Cr71_neg
reg[ 10 : 0 ] | Cr72_pos
reg[ 10 : 0 ] | Cr72_neg
reg[ 10 : 0 ] | Cr73_pos
reg[ 10 : 0 ] | Cr73_neg
reg[ 10 : 0 ] | Cr74_pos
reg[ 10 : 0 ] | Cr74_neg
reg[ 10 : 0 ] | Cr75_pos
reg[ 10 : 0 ] | Cr75_neg
reg[ 10 : 0 ] | Cr76_pos
reg[ 10 : 0 ] | Cr76_neg
reg[ 10 : 0 ] | Cr77_pos
reg[ 10 : 0 ] | Cr77_neg
reg[ 10 : 0 ] | Cr78_pos
reg[ 10 : 0 ] | Cr78_neg
reg[ 10 : 0 ] | Cr81_pos
reg[ 10 : 0 ] | Cr81_neg
reg[ 10 : 0 ] | Cr82_pos
reg[ 10 : 0 ] | Cr82_neg
reg[ 10 : 0 ] | Cr83_pos
reg[ 10 : 0 ] | Cr83_neg
reg[ 10 : 0 ] | Cr84_pos
reg[ 10 : 0 ] | Cr84_neg
reg[ 10 : 0 ] | Cr85_pos
reg[ 10 : 0 ] | Cr85_neg
reg[ 10 : 0 ] | Cr86_pos
reg[ 10 : 0 ] | Cr86_neg
reg[ 10 : 0 ] | Cr87_pos
reg[ 10 : 0 ] | Cr87_neg
reg[ 10 : 0 ] | Cr88_pos
reg[ 10 : 0 ] | Cr88_neg
reg[ 3 : 0 ] | Cr11_bits_pos
reg[ 3 : 0 ] | Cr11_bits_neg
reg[ 3 : 0 ] | Cr11_bits
reg[ 3 : 0 ] | Cr11_bits_1
reg[ 3 : 0 ] | Cr12_bits_pos
reg[ 3 : 0 ] | Cr12_bits_neg
reg[ 3 : 0 ] | Cr12_bits
reg[ 3 : 0 ] | Cr12_bits_1
reg[ 3 : 0 ] | Cr12_bits_2
reg[ 3 : 0 ] | Cr12_bits_3
reg | Cr11_msb
reg | Cr12_msb
reg | Cr12_msb_1
reg | data_ready
reg | enable_1
reg | enable_2
reg | enable_3
reg | enable_4
reg | enable_5
reg | enable_6
reg | enable_7
reg | enable_8
reg | enable_9
reg | enable_10
reg | enable_11
reg | enable_12
reg | enable_13
reg | enable_module
reg | enable_latch_7
reg | enable_latch_8
reg | Cr12_et_zero
reg | rollover
reg | rollover_1
reg | rollover_2
reg | rollover_3
reg | rollover_4
reg | rollover_5
reg | rollover_6
reg | rollover_7
reg | Cr21_et_zero
reg | Cr21_msb
reg | Cr31_et_zero
reg | Cr31_msb
reg | Cr22_et_zero
reg | Cr22_msb
reg | Cr13_et_zero
reg | Cr13_msb
reg | Cr14_et_zero
reg | Cr14_msb
reg | Cr15_et_zero
reg | Cr15_msb
reg | Cr16_et_zero
reg | Cr16_msb
reg | Cr17_et_zero
reg | Cr17_msb
reg | Cr18_et_zero
reg | Cr18_msb
reg | Cr23_et_zero
reg | Cr23_msb
reg | Cr24_et_zero
reg | Cr24_msb
reg | Cr25_et_zero
reg | Cr25_msb
reg | Cr26_et_zero
reg | Cr26_msb
reg | Cr27_et_zero
reg | Cr27_msb
reg | Cr28_et_zero
reg | Cr28_msb
reg | Cr32_et_zero
reg | Cr32_msb
reg | Cr33_et_zero
reg | Cr33_msb
reg | Cr34_et_zero
reg | Cr34_msb
reg | Cr35_et_zero
reg | Cr35_msb
reg | Cr36_et_zero
reg | Cr36_msb
reg | Cr37_et_zero
reg | Cr37_msb
reg | Cr38_et_zero
reg | Cr38_msb
reg | Cr41_et_zero
reg | Cr41_msb
reg | Cr42_et_zero
reg | Cr42_msb
reg | Cr43_et_zero
reg | Cr43_msb
reg | Cr44_et_zero
reg | Cr44_msb
reg | Cr45_et_zero
reg | Cr45_msb
reg | Cr46_et_zero
reg | Cr46_msb
reg | Cr47_et_zero
reg | Cr47_msb
reg | Cr48_et_zero
reg | Cr48_msb
reg | Cr51_et_zero
reg | Cr51_msb
reg | Cr52_et_zero
reg | Cr52_msb
reg | Cr53_et_zero
reg | Cr53_msb
reg | Cr54_et_zero
reg | Cr54_msb
reg | Cr55_et_zero
reg | Cr55_msb
reg | Cr56_et_zero
reg | Cr56_msb
reg | Cr57_et_zero
reg | Cr57_msb
reg | Cr58_et_zero
reg | Cr58_msb
reg | Cr61_et_zero
reg | Cr61_msb
reg | Cr62_et_zero
reg | Cr62_msb
reg | Cr63_et_zero
reg | Cr63_msb
reg | Cr64_et_zero
reg | Cr64_msb
reg | Cr65_et_zero
reg | Cr65_msb
reg | Cr66_et_zero
reg | Cr66_msb
reg | Cr67_et_zero
reg | Cr67_msb
reg | Cr68_et_zero
reg | Cr68_msb
reg | Cr71_et_zero
reg | Cr71_msb
reg | Cr72_et_zero
reg | Cr72_msb
reg | Cr73_et_zero
reg | Cr73_msb
reg | Cr74_et_zero
reg | Cr74_msb
reg | Cr75_et_zero
reg | Cr75_msb
reg | Cr76_et_zero
reg | Cr76_msb
reg | Cr77_et_zero
reg | Cr77_msb
reg | Cr78_et_zero
reg | Cr78_msb
reg | Cr81_et_zero
reg | Cr81_msb
reg | Cr82_et_zero
reg | Cr82_msb
reg | Cr83_et_zero
reg | Cr83_msb
reg | Cr84_et_zero
reg | Cr84_msb
reg | Cr85_et_zero
reg | Cr85_msb
reg | Cr86_et_zero
reg | Cr86_msb
reg | Cr87_et_zero
reg | Cr87_msb
reg | Cr88_et_zero
reg | Cr88_msb
reg | Cr12_et_zero_1
reg | Cr12_et_zero_2
reg | Cr12_et_zero_3
reg | Cr12_et_zero_4
reg | Cr12_et_zero_5
reg[ 10 : 0 ] | Cr_DC [ 11 : 0 ]
reg[ 3 : 0 ] | Cr_DC_code_length [ 11 : 0 ]
reg[ 15 : 0 ] | Cr_AC [ 161 : 0 ]
reg[ 4 : 0 ] | Cr_AC_code_length [ 161 : 0 ]
reg[ 7 : 0 ] | Cr_AC_run_code [ 250 : 0 ]
reg[ 10 : 0 ] | Cr11_Huff
reg[ 10 : 0 ] | Cr11_Huff_1
reg[ 10 : 0 ] | Cr11_Huff_2
reg[ 15 : 0 ] | Cr12_Huff
reg[ 15 : 0 ] | Cr12_Huff_1
reg[ 15 : 0 ] | Cr12_Huff_2
reg[ 3 : 0 ] | Cr11_Huff_count
reg[ 3 : 0 ] | Cr11_Huff_shift
reg[ 3 : 0 ] | Cr11_Huff_shift_1
reg[ 3 : 0 ] | Cr11_amp_shift
reg[ 3 : 0 ] | Cr12_amp_shift
reg[ 3 : 0 ] | Cr12_Huff_shift
reg[ 3 : 0 ] | Cr12_Huff_shift_1
reg[ 3 : 0 ] | zero_run_length
reg[ 3 : 0 ] | zrl_1
reg[ 3 : 0 ] | zrl_2
reg[ 3 : 0 ] | zrl_3
reg[ 4 : 0 ] | Cr12_Huff_count
reg[ 4 : 0 ] | Cr12_Huff_count_1
reg[ 4 : 0 ] | output_reg_count
reg[ 4 : 0 ] | Cr11_output_count
reg[ 4 : 0 ] | old_orc_1
reg[ 4 : 0 ] | old_orc_2
reg[ 4 : 0 ] | old_orc_3
reg[ 4 : 0 ] | old_orc_4
reg[ 4 : 0 ] | old_orc_5
reg[ 4 : 0 ] | old_orc_6
reg[ 4 : 0 ] | Cr12_oc_1
reg[ 4 : 0 ] | orc_3
reg[ 4 : 0 ] | orc_4
reg[ 4 : 0 ] | orc_5
reg[ 4 : 0 ] | orc_6
reg[ 4 : 0 ] | orc_7
reg[ 4 : 0 ] | orc_8
reg[ 4 : 0 ] | Cr12_output_count
reg[ 4 : 0 ] | Cr12_edge
reg[ 4 : 0 ] | Cr12_edge_1
reg[ 4 : 0 ] | Cr12_edge_2
reg[ 4 : 0 ] | Cr12_edge_3
reg[ 4 : 0 ] | Cr12_edge_4
reg[ 31 : 0 ] | JPEG_bitstream
reg[ 31 : 0 ] | JPEG_bs
reg[ 31 : 0 ] | JPEG_bs_1
reg[ 31 : 0 ] | JPEG_bs_2
reg[ 31 : 0 ] | JPEG_bs_3
reg[ 31 : 0 ] | JPEG_bs_4
reg[ 31 : 0 ] | JPEG_bs_5
reg[ 31 : 0 ] | JPEG_Cr12_bs
reg[ 31 : 0 ] | JPEG_Cr12_bs_1
reg[ 31 : 0 ] | JPEG_Cr12_bs_2
reg[ 31 : 0 ] | JPEG_Cr12_bs_3
reg[ 31 : 0 ] | JPEG_Cr12_bs_4
reg[ 31 : 0 ] | JPEG_ro_bs
reg[ 31 : 0 ] | JPEG_ro_bs_1
reg[ 31 : 0 ] | JPEG_ro_bs_2
reg[ 31 : 0 ] | JPEG_ro_bs_3
reg[ 31 : 0 ] | JPEG_ro_bs_4
reg[ 21 : 0 ] | Cr11_JPEG_LSBs_3
reg[ 10 : 0 ] | Cr11_JPEG_LSBs
reg[ 10 : 0 ] | Cr11_JPEG_LSBs_1
reg[ 10 : 0 ] | Cr11_JPEG_LSBs_2
reg[ 9 : 0 ] | Cr12_JPEG_LSBs
reg[ 9 : 0 ] | Cr12_JPEG_LSBs_1
reg[ 9 : 0 ] | Cr12_JPEG_LSBs_2
reg[ 9 : 0 ] | Cr12_JPEG_LSBs_3
reg[ 25 : 0 ] | Cr11_JPEG_bits
reg[ 25 : 0 ] | Cr11_JPEG_bits_1
reg[ 25 : 0 ] | Cr12_JPEG_bits
reg[ 25 : 0 ] | Cr12_JPEG_LSBs_4
reg[ 7 : 0 ] | Cr12_code_entry
reg | third_8_all_0s
reg | fourth_8_all_0s
reg | fifth_8_all_0s
reg | sixth_8_all_0s
reg | seventh_8_all_0s
reg | eighth_8_all_0s
reg | end_of_block
reg | code_15_0
reg | zrl_et_15
reg | end_of_block_output
reg | end_of_block_empty
wire[ 7 : 0 ] | code_index

## Detailed Description

Definition at line 42 of file cr_huff.v.

## Member Function Documentation

ALWAYS_139 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 163 of file cr_huff.v.

ALWAYS_140 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 195 of file cr_huff.v.

ALWAYS_141 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 213 of file cr_huff.v.

ALWAYS_142 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 226 of file cr_huff.v.

ALWAYS_143 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 242 of file cr_huff.v.

ALWAYS_144 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 255 of file cr_huff.v.

ALWAYS_145 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 288 of file cr_huff.v.

ALWAYS_146 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 329 of file cr_huff.v.

ALWAYS_147 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 340 of file cr_huff.v.

ALWAYS_148 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 354 of file cr_huff.v.

ALWAYS_149 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 368 of file cr_huff.v.

ALWAYS_150 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 382 of file cr_huff.v.

ALWAYS_151 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 397 of file cr_huff.v.

ALWAYS_152 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 424 of file cr_huff.v.

ALWAYS_153 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 449 of file cr_huff.v.

ALWAYS_154 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 464 of file cr_huff.v.

ALWAYS_155 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 478 of file cr_huff.v.

ALWAYS_156 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 496 of file cr_huff.v.

ALWAYS_157 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 511 of file cr_huff.v.

ALWAYS_158 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 529 of file cr_huff.v.

ALWAYS_159 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 544 of file cr_huff.v.

ALWAYS_160 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 560 of file cr_huff.v.

ALWAYS_161 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 571 of file cr_huff.v.

ALWAYS_162 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 587 of file cr_huff.v.

ALWAYS_163 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 598 of file cr_huff.v.

ALWAYS_164 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 608 of file cr_huff.v.

ALWAYS_165 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 621 of file cr_huff.v.

ALWAYS_166 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 635 of file cr_huff.v.

ALWAYS_167 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 1212 of file cr_huff.v.

ALWAYS_168 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 1223 of file cr_huff.v.

ALWAYS_169 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 1253 of file cr_huff.v.

ALWAYS_170 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 1284 of file cr_huff.v.

ALWAYS_171 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 1312 of file cr_huff.v.

ALWAYS_172 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 1340 of file cr_huff.v.

ALWAYS_173 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 1350 of file cr_huff.v.

ALWAYS_174 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 1363 of file cr_huff.v.

ALWAYS_175 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 1373 of file cr_huff.v.

ALWAYS_176 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 1404 of file cr_huff.v.

ALWAYS_177 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 1935 of file cr_huff.v.

ALWAYS_178 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 1945 of file cr_huff.v.

ALWAYS_179 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 1955 of file cr_huff.v.

ALWAYS_180 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 1965 of file cr_huff.v.

ALWAYS_181 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 1975 of file cr_huff.v.

ALWAYS_182 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 1985 of file cr_huff.v.

ALWAYS_183 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 1995 of file cr_huff.v.

ALWAYS_184 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2005 of file cr_huff.v.

ALWAYS_185 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2015 of file cr_huff.v.

ALWAYS_186 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2025 of file cr_huff.v.

ALWAYS_187 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2035 of file cr_huff.v.

ALWAYS_188 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2045 of file cr_huff.v.

ALWAYS_189 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2055 of file cr_huff.v.

ALWAYS_190 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2065 of file cr_huff.v.

ALWAYS_191 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2075 of file cr_huff.v.

ALWAYS_192 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2085 of file cr_huff.v.

ALWAYS_193 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2095 of file cr_huff.v.

ALWAYS_194 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2105 of file cr_huff.v.

ALWAYS_195 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2115 of file cr_huff.v.

ALWAYS_196 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2125 of file cr_huff.v.

ALWAYS_197 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2135 of file cr_huff.v.

ALWAYS_198 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2145 of file cr_huff.v.

ALWAYS_199 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2155 of file cr_huff.v.

ALWAYS_200 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2165 of file cr_huff.v.

ALWAYS_201 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2175 of file cr_huff.v.

ALWAYS_202 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2185 of file cr_huff.v.

ALWAYS_203 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2195 of file cr_huff.v.

ALWAYS_204 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2205 of file cr_huff.v.

ALWAYS_205 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2215 of file cr_huff.v.

ALWAYS_206 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2225 of file cr_huff.v.

ALWAYS_207 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2235 of file cr_huff.v.

ALWAYS_208 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2245 of file cr_huff.v.

## Member Data Documentation

clk
| Input

Definition at line 48 of file cr_huff.v.

rst
| Input

Definition at line 49 of file cr_huff.v.

enable
| Input

Definition at line 50 of file cr_huff.v.

Cr11 [ 10 : 0 ]
| Input

Definition at line 51 of file cr_huff.v.

Cr12 [ 10 : 0 ]
| Input

Definition at line 51 of file cr_huff.v.

Cr13 [ 10 : 0 ]
| Input

Definition at line 51 of file cr_huff.v.

Cr14 [ 10 : 0 ]
| Input

Definition at line 51 of file cr_huff.v.

Cr15 [ 10 : 0 ]
| Input

Definition at line 51 of file cr_huff.v.

Cr16 [ 10 : 0 ]
| Input

Definition at line 51 of file cr_huff.v.

Cr17 [ 10 : 0 ]
| Input

Definition at line 51 of file cr_huff.v.

Cr18 [ 10 : 0 ]
| Input

Definition at line 51 of file cr_huff.v.

Cr21 [ 10 : 0 ]
| Input

Definition at line 51 of file cr_huff.v.

Cr22 [ 10 : 0 ]
| Input

Definition at line 51 of file cr_huff.v.

Cr23 [ 10 : 0 ]
| Input

Definition at line 51 of file cr_huff.v.

Cr24 [ 10 : 0 ]
| Input

Definition at line 51 of file cr_huff.v.

Cr25 [ 10 : 0 ]
| Input

Definition at line 52 of file cr_huff.v.

Cr26 [ 10 : 0 ]
| Input

Definition at line 52 of file cr_huff.v.

Cr27 [ 10 : 0 ]
| Input

Definition at line 52 of file cr_huff.v.

Cr28 [ 10 : 0 ]
| Input

Definition at line 52 of file cr_huff.v.

Cr31 [ 10 : 0 ]
| Input

Definition at line 52 of file cr_huff.v.

Cr32 [ 10 : 0 ]
| Input

Definition at line 52 of file cr_huff.v.

Cr33 [ 10 : 0 ]
| Input

Definition at line 52 of file cr_huff.v.

Cr34 [ 10 : 0 ]
| Input

Definition at line 52 of file cr_huff.v.

Cr35 [ 10 : 0 ]
| Input

Definition at line 52 of file cr_huff.v.

Cr36 [ 10 : 0 ]
| Input

Definition at line 52 of file cr_huff.v.

Cr37 [ 10 : 0 ]
| Input

Definition at line 52 of file cr_huff.v.

Cr38 [ 10 : 0 ]
| Input

Definition at line 52 of file cr_huff.v.

Cr41 [ 10 : 0 ]
| Input

Definition at line 53 of file cr_huff.v.

Cr42 [ 10 : 0 ]
| Input

Definition at line 53 of file cr_huff.v.

Cr43 [ 10 : 0 ]
| Input

Definition at line 53 of file cr_huff.v.

Cr44 [ 10 : 0 ]
| Input

Definition at line 53 of file cr_huff.v.

Cr45 [ 10 : 0 ]
| Input

Definition at line 53 of file cr_huff.v.

Cr46 [ 10 : 0 ]
| Input

Definition at line 53 of file cr_huff.v.

Cr47 [ 10 : 0 ]
| Input

Definition at line 53 of file cr_huff.v.

Cr48 [ 10 : 0 ]
| Input

Definition at line 53 of file cr_huff.v.

Cr51 [ 10 : 0 ]
| Input

Definition at line 53 of file cr_huff.v.

Cr52 [ 10 : 0 ]
| Input

Definition at line 53 of file cr_huff.v.

Cr53 [ 10 : 0 ]
| Input

Definition at line 53 of file cr_huff.v.

Cr54 [ 10 : 0 ]
| Input

Definition at line 53 of file cr_huff.v.

Cr55 [ 10 : 0 ]
| Input

Definition at line 54 of file cr_huff.v.

Cr56 [ 10 : 0 ]
| Input

Definition at line 54 of file cr_huff.v.

Cr57 [ 10 : 0 ]
| Input

Definition at line 54 of file cr_huff.v.

Cr58 [ 10 : 0 ]
| Input

Definition at line 54 of file cr_huff.v.

Cr61 [ 10 : 0 ]
| Input

Definition at line 54 of file cr_huff.v.

Cr62 [ 10 : 0 ]
| Input

Definition at line 54 of file cr_huff.v.

Cr63 [ 10 : 0 ]
| Input

Definition at line 54 of file cr_huff.v.

Cr64 [ 10 : 0 ]
| Input

Definition at line 54 of file cr_huff.v.

Cr65 [ 10 : 0 ]
| Input

Definition at line 54 of file cr_huff.v.

Cr66 [ 10 : 0 ]
| Input

Definition at line 54 of file cr_huff.v.

Cr67 [ 10 : 0 ]
| Input

Definition at line 54 of file cr_huff.v.

Cr68 [ 10 : 0 ]
| Input

Definition at line 54 of file cr_huff.v.

Cr71 [ 10 : 0 ]
| Input

Definition at line 55 of file cr_huff.v.

Cr72 [ 10 : 0 ]
| Input

Definition at line 55 of file cr_huff.v.

Cr73 [ 10 : 0 ]
| Input

Definition at line 55 of file cr_huff.v.

Cr74 [ 10 : 0 ]
| Input

Definition at line 55 of file cr_huff.v.

Cr75 [ 10 : 0 ]
| Input

Definition at line 55 of file cr_huff.v.

Cr76 [ 10 : 0 ]
| Input

Definition at line 55 of file cr_huff.v.

Cr77 [ 10 : 0 ]
| Input

Definition at line 55 of file cr_huff.v.

Cr78 [ 10 : 0 ]
| Input

Definition at line 55 of file cr_huff.v.

Cr81 [ 10 : 0 ]
| Input

Definition at line 55 of file cr_huff.v.

Cr82 [ 10 : 0 ]
| Input

Definition at line 55 of file cr_huff.v.

Cr83 [ 10 : 0 ]
| Input

Definition at line 55 of file cr_huff.v.

Cr84 [ 10 : 0 ]
| Input

Definition at line 55 of file cr_huff.v.

Cr85 [ 10 : 0 ]
| Input

Definition at line 56 of file cr_huff.v.

Cr86 [ 10 : 0 ]
| Input

Definition at line 56 of file cr_huff.v.

Cr87 [ 10 : 0 ]
| Input

Definition at line 56 of file cr_huff.v.

Cr88 [ 10 : 0 ]
| Input

Definition at line 56 of file cr_huff.v.

JPEG_bitstream [ 31 : 0 ]
| Output

Definition at line 57 of file cr_huff.v.

data_ready
| Output

Definition at line 58 of file cr_huff.v.

output_reg_count [ 4 : 0 ]
| Output

Definition at line 59 of file cr_huff.v.

end_of_block_empty
| Output

Definition at line 60 of file cr_huff.v.

block_counter
| Signal

Definition at line 63 of file cr_huff.v.

Cr11_amp
| Signal

Definition at line 64 of file cr_huff.v.

Cr11_1_pos
| Signal

Definition at line 64 of file cr_huff.v.

Cr11_1_neg
| Signal

Definition at line 64 of file cr_huff.v.

Cr11_diff
| Signal

Definition at line 64 of file cr_huff.v.

Cr11_previous
| Signal

Definition at line 65 of file cr_huff.v.

Cr11_1
| Signal

Definition at line 65 of file cr_huff.v.

Cr12_amp
| Signal

Definition at line 66 of file cr_huff.v.

Cr12_pos
| Signal

Definition at line 66 of file cr_huff.v.

Cr12_neg
| Signal

Definition at line 66 of file cr_huff.v.

Cr21_pos
| Signal

Definition at line 67 of file cr_huff.v.

Cr21_neg
| Signal

Definition at line 67 of file cr_huff.v.

Cr31_pos
| Signal

Definition at line 67 of file cr_huff.v.

Cr31_neg
| Signal

Definition at line 67 of file cr_huff.v.

Cr22_pos
| Signal

Definition at line 67 of file cr_huff.v.

Cr22_neg
| Signal

Definition at line 67 of file cr_huff.v.

Cr13_pos
| Signal

Definition at line 68 of file cr_huff.v.

Cr13_neg
| Signal

Definition at line 68 of file cr_huff.v.

Cr14_pos
| Signal

Definition at line 68 of file cr_huff.v.

Cr14_neg
| Signal

Definition at line 68 of file cr_huff.v.

Cr15_pos
| Signal

Definition at line 68 of file cr_huff.v.

Cr15_neg
| Signal

Definition at line 68 of file cr_huff.v.

Cr16_pos
| Signal

Definition at line 69 of file cr_huff.v.

Cr16_neg
| Signal

Definition at line 69 of file cr_huff.v.

Cr17_pos
| Signal

Definition at line 69 of file cr_huff.v.

Cr17_neg
| Signal

Definition at line 69 of file cr_huff.v.

Cr18_pos
| Signal

Definition at line 69 of file cr_huff.v.

Cr18_neg
| Signal

Definition at line 69 of file cr_huff.v.

Cr23_pos
| Signal

Definition at line 70 of file cr_huff.v.

Cr23_neg
| Signal

Definition at line 70 of file cr_huff.v.

Cr24_pos
| Signal

Definition at line 70 of file cr_huff.v.

Cr24_neg
| Signal

Definition at line 70 of file cr_huff.v.

Cr25_pos
| Signal

Definition at line 70 of file cr_huff.v.

Cr25_neg
| Signal

Definition at line 70 of file cr_huff.v.

Cr26_pos
| Signal

Definition at line 71 of file cr_huff.v.

Cr26_neg
| Signal

Definition at line 71 of file cr_huff.v.

Cr27_pos
| Signal

Definition at line 71 of file cr_huff.v.

Cr27_neg
| Signal

Definition at line 71 of file cr_huff.v.

Cr28_pos
| Signal

Definition at line 71 of file cr_huff.v.

Cr28_neg
| Signal

Definition at line 71 of file cr_huff.v.

Cr32_pos
| Signal

Definition at line 72 of file cr_huff.v.

Cr32_neg
| Signal

Definition at line 72 of file cr_huff.v.

Cr33_pos
| Signal

Definition at line 73 of file cr_huff.v.

Cr33_neg
| Signal

Definition at line 73 of file cr_huff.v.

Cr34_pos
| Signal

Definition at line 73 of file cr_huff.v.

Cr34_neg
| Signal

Definition at line 73 of file cr_huff.v.

Cr35_pos
| Signal

Definition at line 73 of file cr_huff.v.

Cr35_neg
| Signal

Definition at line 73 of file cr_huff.v.

Cr36_pos
| Signal

Definition at line 74 of file cr_huff.v.

Cr36_neg
| Signal

Definition at line 74 of file cr_huff.v.

Cr37_pos
| Signal

Definition at line 74 of file cr_huff.v.

Cr37_neg
| Signal

Definition at line 74 of file cr_huff.v.

Cr38_pos
| Signal

Definition at line 74 of file cr_huff.v.

Cr38_neg
| Signal

Definition at line 74 of file cr_huff.v.

Cr41_pos
| Signal

Definition at line 75 of file cr_huff.v.

Cr41_neg
| Signal

Definition at line 75 of file cr_huff.v.

Cr42_pos
| Signal

Definition at line 75 of file cr_huff.v.

Cr42_neg
| Signal

Definition at line 75 of file cr_huff.v.

Cr43_pos
| Signal

Definition at line 76 of file cr_huff.v.

Cr43_neg
| Signal

Definition at line 76 of file cr_huff.v.

Cr44_pos
| Signal

Definition at line 76 of file cr_huff.v.

Cr44_neg
| Signal

Definition at line 76 of file cr_huff.v.

Cr45_pos
| Signal

Definition at line 76 of file cr_huff.v.

Cr45_neg
| Signal

Definition at line 76 of file cr_huff.v.

Cr46_pos
| Signal

Definition at line 77 of file cr_huff.v.

Cr46_neg
| Signal

Definition at line 77 of file cr_huff.v.

Cr47_pos
| Signal

Definition at line 77 of file cr_huff.v.

Cr47_neg
| Signal

Definition at line 77 of file cr_huff.v.

Cr48_pos
| Signal

Definition at line 77 of file cr_huff.v.

Cr48_neg
| Signal

Definition at line 77 of file cr_huff.v.

Cr51_pos
| Signal

Definition at line 78 of file cr_huff.v.

Cr51_neg
| Signal

Definition at line 78 of file cr_huff.v.

Cr52_pos
| Signal

Definition at line 78 of file cr_huff.v.

Cr52_neg
| Signal

Definition at line 78 of file cr_huff.v.

Cr53_pos
| Signal

Definition at line 79 of file cr_huff.v.

Cr53_neg
| Signal

Definition at line 79 of file cr_huff.v.

Cr54_pos
| Signal

Definition at line 79 of file cr_huff.v.

Cr54_neg
| Signal

Definition at line 79 of file cr_huff.v.

Cr55_pos
| Signal

Definition at line 79 of file cr_huff.v.

Cr55_neg
| Signal

Definition at line 79 of file cr_huff.v.

Cr56_pos
| Signal

Definition at line 80 of file cr_huff.v.

Cr56_neg
| Signal

Definition at line 80 of file cr_huff.v.

Cr57_pos
| Signal

Definition at line 80 of file cr_huff.v.

Cr57_neg
| Signal

Definition at line 80 of file cr_huff.v.

Cr58_pos
| Signal

Definition at line 80 of file cr_huff.v.

Cr58_neg
| Signal

Definition at line 80 of file cr_huff.v.

Cr61_pos
| Signal

Definition at line 81 of file cr_huff.v.

Cr61_neg
| Signal

Definition at line 81 of file cr_huff.v.

Cr62_pos
| Signal

Definition at line 81 of file cr_huff.v.

Cr62_neg
| Signal

Definition at line 81 of file cr_huff.v.

Cr63_pos
| Signal

Definition at line 82 of file cr_huff.v.

Cr63_neg
| Signal

Definition at line 82 of file cr_huff.v.

Cr64_pos
| Signal

Definition at line 82 of file cr_huff.v.

Cr64_neg
| Signal

Definition at line 82 of file cr_huff.v.

Cr65_pos
| Signal

Definition at line 82 of file cr_huff.v.

Cr65_neg
| Signal

Definition at line 82 of file cr_huff.v.

Cr66_pos
| Signal

Definition at line 83 of file cr_huff.v.

Cr66_neg
| Signal

Definition at line 83 of file cr_huff.v.

Cr67_pos
| Signal

Definition at line 83 of file cr_huff.v.

Cr67_neg
| Signal

Definition at line 83 of file cr_huff.v.

Cr68_pos
| Signal

Definition at line 83 of file cr_huff.v.

Cr68_neg
| Signal

Definition at line 83 of file cr_huff.v.

Cr71_pos
| Signal

Definition at line 84 of file cr_huff.v.

Cr71_neg
| Signal

Definition at line 84 of file cr_huff.v.

Cr72_pos
| Signal

Definition at line 84 of file cr_huff.v.

Cr72_neg
| Signal

Definition at line 84 of file cr_huff.v.

Cr73_pos
| Signal

Definition at line 85 of file cr_huff.v.

Cr73_neg
| Signal

Definition at line 85 of file cr_huff.v.

Cr74_pos
| Signal

Definition at line 85 of file cr_huff.v.

Cr74_neg
| Signal

Definition at line 85 of file cr_huff.v.

Cr75_pos
| Signal

Definition at line 85 of file cr_huff.v.

Cr75_neg
| Signal

Definition at line 85 of file cr_huff.v.

Cr76_pos
| Signal

Definition at line 86 of file cr_huff.v.

Cr76_neg
| Signal

Definition at line 86 of file cr_huff.v.

Cr77_pos
| Signal

Definition at line 86 of file cr_huff.v.

Cr77_neg
| Signal

Definition at line 86 of file cr_huff.v.

Cr78_pos
| Signal

Definition at line 86 of file cr_huff.v.

Cr78_neg
| Signal

Definition at line 86 of file cr_huff.v.

Cr81_pos
| Signal

Definition at line 87 of file cr_huff.v.

Cr81_neg
| Signal

Definition at line 87 of file cr_huff.v.

Cr82_pos
| Signal

Definition at line 87 of file cr_huff.v.

Cr82_neg
| Signal

Definition at line 87 of file cr_huff.v.

Cr83_pos
| Signal

Definition at line 88 of file cr_huff.v.

Cr83_neg
| Signal

Definition at line 88 of file cr_huff.v.

Cr84_pos
| Signal

Definition at line 88 of file cr_huff.v.

Cr84_neg
| Signal

Definition at line 88 of file cr_huff.v.

Cr85_pos
| Signal

Definition at line 88 of file cr_huff.v.

Cr85_neg
| Signal

Definition at line 88 of file cr_huff.v.

Cr86_pos
| Signal

Definition at line 89 of file cr_huff.v.

Cr86_neg
| Signal

Definition at line 89 of file cr_huff.v.

Cr87_pos
| Signal

Definition at line 89 of file cr_huff.v.

Cr87_neg
| Signal

Definition at line 89 of file cr_huff.v.

Cr88_pos
| Signal

Definition at line 89 of file cr_huff.v.

Cr88_neg
| Signal

Definition at line 89 of file cr_huff.v.

Cr11_bits_pos
| Signal

Definition at line 90 of file cr_huff.v.

Cr11_bits_neg
| Signal

Definition at line 90 of file cr_huff.v.

Cr11_bits
| Signal

Definition at line 90 of file cr_huff.v.

Cr11_bits_1
| Signal

Definition at line 90 of file cr_huff.v.

Cr12_bits_pos
| Signal

Definition at line 91 of file cr_huff.v.

Cr12_bits_neg
| Signal

Definition at line 91 of file cr_huff.v.

Cr12_bits
| Signal

Definition at line 91 of file cr_huff.v.

Cr12_bits_1
| Signal

Definition at line 91 of file cr_huff.v.

Cr12_bits_2
| Signal

Definition at line 92 of file cr_huff.v.

Cr12_bits_3
| Signal

Definition at line 92 of file cr_huff.v.

Cr11_msb
| Signal

Definition at line 93 of file cr_huff.v.

Cr12_msb
| Signal

Definition at line 93 of file cr_huff.v.

Cr12_msb_1
| Signal

Definition at line 93 of file cr_huff.v.

data_ready
| Signal

Definition at line 93 of file cr_huff.v.

enable_1
| Signal

Definition at line 94 of file cr_huff.v.

enable_2
| Signal

Definition at line 94 of file cr_huff.v.

enable_3
| Signal

Definition at line 94 of file cr_huff.v.

enable_4
| Signal

Definition at line 94 of file cr_huff.v.

enable_5
| Signal

Definition at line 94 of file cr_huff.v.

enable_6
| Signal

Definition at line 94 of file cr_huff.v.

enable_7
| Signal

Definition at line 95 of file cr_huff.v.

enable_8
| Signal

Definition at line 95 of file cr_huff.v.

enable_9
| Signal

Definition at line 95 of file cr_huff.v.

enable_10
| Signal

Definition at line 95 of file cr_huff.v.

enable_11
| Signal

Definition at line 95 of file cr_huff.v.

enable_12
| Signal

Definition at line 95 of file cr_huff.v.

enable_13
| Signal

Definition at line 96 of file cr_huff.v.

enable_module
| Signal

Definition at line 96 of file cr_huff.v.

enable_latch_7
| Signal

Definition at line 96 of file cr_huff.v.

enable_latch_8
| Signal

Definition at line 96 of file cr_huff.v.

Cr12_et_zero
| Signal

Definition at line 97 of file cr_huff.v.

rollover
| Signal

Definition at line 97 of file cr_huff.v.

rollover_1
| Signal

Definition at line 97 of file cr_huff.v.

rollover_2
| Signal

Definition at line 97 of file cr_huff.v.

rollover_3
| Signal

Definition at line 97 of file cr_huff.v.

rollover_4
| Signal

Definition at line 98 of file cr_huff.v.

rollover_5
| Signal

Definition at line 98 of file cr_huff.v.

rollover_6
| Signal

Definition at line 98 of file cr_huff.v.

rollover_7
| Signal

Definition at line 98 of file cr_huff.v.

Cr21_et_zero
| Signal

Definition at line 99 of file cr_huff.v.

Cr21_msb
| Signal

Definition at line 99 of file cr_huff.v.

Cr31_et_zero
| Signal

Definition at line 99 of file cr_huff.v.

Cr31_msb
| Signal

Definition at line 99 of file cr_huff.v.

Cr22_et_zero
| Signal

Definition at line 100 of file cr_huff.v.

Cr22_msb
| Signal

Definition at line 100 of file cr_huff.v.

Cr13_et_zero
| Signal

Definition at line 100 of file cr_huff.v.

Cr13_msb
| Signal

Definition at line 100 of file cr_huff.v.

Cr14_et_zero
| Signal

Definition at line 101 of file cr_huff.v.

Cr14_msb
| Signal

Definition at line 101 of file cr_huff.v.

Cr15_et_zero
| Signal

Definition at line 101 of file cr_huff.v.

Cr15_msb
| Signal

Definition at line 101 of file cr_huff.v.

Cr16_et_zero
| Signal

Definition at line 102 of file cr_huff.v.

Cr16_msb
| Signal

Definition at line 102 of file cr_huff.v.

Cr17_et_zero
| Signal

Definition at line 102 of file cr_huff.v.

Cr17_msb
| Signal

Definition at line 102 of file cr_huff.v.

Cr18_et_zero
| Signal

Definition at line 103 of file cr_huff.v.

Cr18_msb
| Signal

Definition at line 103 of file cr_huff.v.

Cr23_et_zero
| Signal

Definition at line 104 of file cr_huff.v.

Cr23_msb
| Signal

Definition at line 104 of file cr_huff.v.

Cr24_et_zero
| Signal

Definition at line 104 of file cr_huff.v.

Cr24_msb
| Signal

Definition at line 104 of file cr_huff.v.

Cr25_et_zero
| Signal

Definition at line 105 of file cr_huff.v.

Cr25_msb
| Signal

Definition at line 105 of file cr_huff.v.

Cr26_et_zero
| Signal

Definition at line 105 of file cr_huff.v.

Cr26_msb
| Signal

Definition at line 105 of file cr_huff.v.

Cr27_et_zero
| Signal

Definition at line 106 of file cr_huff.v.

Cr27_msb
| Signal

Definition at line 106 of file cr_huff.v.

Cr28_et_zero
| Signal

Definition at line 106 of file cr_huff.v.

Cr28_msb
| Signal

Definition at line 106 of file cr_huff.v.

Cr32_et_zero
| Signal

Definition at line 107 of file cr_huff.v.

Cr32_msb
| Signal

Definition at line 107 of file cr_huff.v.

Cr33_et_zero
| Signal

Definition at line 107 of file cr_huff.v.

Cr33_msb
| Signal

Definition at line 107 of file cr_huff.v.

Cr34_et_zero
| Signal

Definition at line 108 of file cr_huff.v.

Cr34_msb
| Signal

Definition at line 108 of file cr_huff.v.

Cr35_et_zero
| Signal

Definition at line 108 of file cr_huff.v.

Cr35_msb
| Signal

Definition at line 108 of file cr_huff.v.

Cr36_et_zero
| Signal

Definition at line 109 of file cr_huff.v.

Cr36_msb
| Signal

Definition at line 109 of file cr_huff.v.

Cr37_et_zero
| Signal

Definition at line 109 of file cr_huff.v.

Cr37_msb
| Signal

Definition at line 109 of file cr_huff.v.

Cr38_et_zero
| Signal

Definition at line 110 of file cr_huff.v.

Cr38_msb
| Signal

Definition at line 110 of file cr_huff.v.

Cr41_et_zero
| Signal

Definition at line 111 of file cr_huff.v.

Cr41_msb
| Signal

Definition at line 111 of file cr_huff.v.

Cr42_et_zero
| Signal

Definition at line 111 of file cr_huff.v.

Cr42_msb
| Signal

Definition at line 111 of file cr_huff.v.

Cr43_et_zero
| Signal

Definition at line 112 of file cr_huff.v.

Cr43_msb
| Signal

Definition at line 112 of file cr_huff.v.

Cr44_et_zero
| Signal

Definition at line 112 of file cr_huff.v.

Cr44_msb
| Signal

Definition at line 112 of file cr_huff.v.

Cr45_et_zero
| Signal

Definition at line 113 of file cr_huff.v.

Cr45_msb
| Signal

Definition at line 113 of file cr_huff.v.

Cr46_et_zero
| Signal

Definition at line 113 of file cr_huff.v.

Cr46_msb
| Signal

Definition at line 113 of file cr_huff.v.

Cr47_et_zero
| Signal

Definition at line 114 of file cr_huff.v.

Cr47_msb
| Signal

Definition at line 114 of file cr_huff.v.

Cr48_et_zero
| Signal

Definition at line 114 of file cr_huff.v.

Cr48_msb
| Signal

Definition at line 114 of file cr_huff.v.

Cr51_et_zero
| Signal

Definition at line 115 of file cr_huff.v.

Cr51_msb
| Signal

Definition at line 115 of file cr_huff.v.

Cr52_et_zero
| Signal

Definition at line 115 of file cr_huff.v.

Cr52_msb
| Signal

Definition at line 115 of file cr_huff.v.

Cr53_et_zero
| Signal

Definition at line 116 of file cr_huff.v.

Cr53_msb
| Signal

Definition at line 116 of file cr_huff.v.

Cr54_et_zero
| Signal

Definition at line 116 of file cr_huff.v.

Cr54_msb
| Signal

Definition at line 116 of file cr_huff.v.

Cr55_et_zero
| Signal

Definition at line 117 of file cr_huff.v.

Cr55_msb
| Signal

Definition at line 117 of file cr_huff.v.

Cr56_et_zero
| Signal

Definition at line 117 of file cr_huff.v.

Cr56_msb
| Signal

Definition at line 117 of file cr_huff.v.

Cr57_et_zero
| Signal

Definition at line 118 of file cr_huff.v.

Cr57_msb
| Signal

Definition at line 118 of file cr_huff.v.

Cr58_et_zero
| Signal

Definition at line 118 of file cr_huff.v.

Cr58_msb
| Signal

Definition at line 118 of file cr_huff.v.

Cr61_et_zero
| Signal

Definition at line 119 of file cr_huff.v.

Cr61_msb
| Signal

Definition at line 119 of file cr_huff.v.

Cr62_et_zero
| Signal

Definition at line 119 of file cr_huff.v.

Cr62_msb
| Signal

Definition at line 119 of file cr_huff.v.

Cr63_et_zero
| Signal

Definition at line 120 of file cr_huff.v.

Cr63_msb
| Signal

Definition at line 120 of file cr_huff.v.

Cr64_et_zero
| Signal

Definition at line 120 of file cr_huff.v.

Cr64_msb
| Signal

Definition at line 120 of file cr_huff.v.

Cr65_et_zero
| Signal

Definition at line 121 of file cr_huff.v.

Cr65_msb
| Signal

Definition at line 121 of file cr_huff.v.

Cr66_et_zero
| Signal

Definition at line 121 of file cr_huff.v.

Cr66_msb
| Signal

Definition at line 121 of file cr_huff.v.

Cr67_et_zero
| Signal

Definition at line 122 of file cr_huff.v.

Cr67_msb
| Signal

Definition at line 122 of file cr_huff.v.

Cr68_et_zero
| Signal

Definition at line 122 of file cr_huff.v.

Cr68_msb
| Signal

Definition at line 122 of file cr_huff.v.

Cr71_et_zero
| Signal

Definition at line 123 of file cr_huff.v.

Cr71_msb
| Signal

Definition at line 123 of file cr_huff.v.

Cr72_et_zero
| Signal

Definition at line 123 of file cr_huff.v.

Cr72_msb
| Signal

Definition at line 123 of file cr_huff.v.

Cr73_et_zero
| Signal

Definition at line 124 of file cr_huff.v.

Cr73_msb
| Signal

Definition at line 124 of file cr_huff.v.

Cr74_et_zero
| Signal

Definition at line 124 of file cr_huff.v.

Cr74_msb
| Signal

Definition at line 124 of file cr_huff.v.

Cr75_et_zero
| Signal

Definition at line 125 of file cr_huff.v.

Cr75_msb
| Signal

Definition at line 125 of file cr_huff.v.

Cr76_et_zero
| Signal

Definition at line 125 of file cr_huff.v.

Cr76_msb
| Signal

Definition at line 125 of file cr_huff.v.

Cr77_et_zero
| Signal

Definition at line 126 of file cr_huff.v.

Cr77_msb
| Signal

Definition at line 126 of file cr_huff.v.

Cr78_et_zero
| Signal

Definition at line 126 of file cr_huff.v.

Cr78_msb
| Signal

Definition at line 126 of file cr_huff.v.

Cr81_et_zero
| Signal

Definition at line 127 of file cr_huff.v.

Cr81_msb
| Signal

Definition at line 127 of file cr_huff.v.

Cr82_et_zero
| Signal

Definition at line 127 of file cr_huff.v.

Cr82_msb
| Signal

Definition at line 127 of file cr_huff.v.

Cr83_et_zero
| Signal

Definition at line 128 of file cr_huff.v.

Cr83_msb
| Signal

Definition at line 128 of file cr_huff.v.

Cr84_et_zero
| Signal

Definition at line 128 of file cr_huff.v.

Cr84_msb
| Signal

Definition at line 128 of file cr_huff.v.

Cr85_et_zero
| Signal

Definition at line 129 of file cr_huff.v.

Cr85_msb
| Signal

Definition at line 129 of file cr_huff.v.

Cr86_et_zero
| Signal

Definition at line 129 of file cr_huff.v.

Cr86_msb
| Signal

Definition at line 129 of file cr_huff.v.

Cr87_et_zero
| Signal

Definition at line 130 of file cr_huff.v.

Cr87_msb
| Signal

Definition at line 130 of file cr_huff.v.

Cr88_et_zero
| Signal

Definition at line 130 of file cr_huff.v.

Cr88_msb
| Signal

Definition at line 130 of file cr_huff.v.

Cr12_et_zero_1
| Signal

Definition at line 131 of file cr_huff.v.

Cr12_et_zero_2
| Signal

Definition at line 131 of file cr_huff.v.

Cr12_et_zero_3
| Signal

Definition at line 131 of file cr_huff.v.

Cr12_et_zero_4
| Signal

Definition at line 131 of file cr_huff.v.

Cr12_et_zero_5
| Signal

Definition at line 131 of file cr_huff.v.

Cr_DC [ 11 : 0 ]
| Signal

Definition at line 132 of file cr_huff.v.

Cr_DC_code_length [ 11 : 0 ]
| Signal

Definition at line 133 of file cr_huff.v.

Cr_AC [ 161 : 0 ]
| Signal

Definition at line 134 of file cr_huff.v.

Cr_AC_code_length [ 161 : 0 ]
| Signal

Definition at line 135 of file cr_huff.v.

Cr_AC_run_code [ 250 : 0 ]
| Signal

Definition at line 136 of file cr_huff.v.

Cr11_Huff
| Signal

Definition at line 137 of file cr_huff.v.

Cr11_Huff_1
| Signal

Definition at line 137 of file cr_huff.v.

Cr11_Huff_2
| Signal

Definition at line 137 of file cr_huff.v.

Cr12_Huff
| Signal

Definition at line 138 of file cr_huff.v.

Cr12_Huff_1
| Signal

Definition at line 138 of file cr_huff.v.

Cr12_Huff_2
| Signal

Definition at line 138 of file cr_huff.v.

Cr11_Huff_count
| Signal

Definition at line 139 of file cr_huff.v.

Cr11_Huff_shift
| Signal

Definition at line 139 of file cr_huff.v.

Cr11_Huff_shift_1
| Signal

Definition at line 139 of file cr_huff.v.

Cr11_amp_shift
| Signal

Definition at line 139 of file cr_huff.v.

Cr12_amp_shift
| Signal

Definition at line 139 of file cr_huff.v.

Cr12_Huff_shift
| Signal

Definition at line 140 of file cr_huff.v.

Cr12_Huff_shift_1
| Signal

Definition at line 140 of file cr_huff.v.

zero_run_length
| Signal

Definition at line 140 of file cr_huff.v.

zrl_1
| Signal

Definition at line 140 of file cr_huff.v.

zrl_2
| Signal

Definition at line 140 of file cr_huff.v.

zrl_3
| Signal

Definition at line 140 of file cr_huff.v.

Cr12_Huff_count
| Signal

Definition at line 141 of file cr_huff.v.

Cr12_Huff_count_1
| Signal

Definition at line 141 of file cr_huff.v.

output_reg_count
| Signal

Definition at line 142 of file cr_huff.v.

Cr11_output_count
| Signal

Definition at line 142 of file cr_huff.v.

old_orc_1
| Signal

Definition at line 142 of file cr_huff.v.

old_orc_2
| Signal

Definition at line 142 of file cr_huff.v.

old_orc_3
| Signal

Definition at line 143 of file cr_huff.v.

old_orc_4
| Signal

Definition at line 143 of file cr_huff.v.

old_orc_5
| Signal

Definition at line 143 of file cr_huff.v.

old_orc_6
| Signal

Definition at line 143 of file cr_huff.v.

Cr12_oc_1
| Signal

Definition at line 143 of file cr_huff.v.

orc_3
| Signal

Definition at line 144 of file cr_huff.v.

orc_4
| Signal

Definition at line 144 of file cr_huff.v.

orc_5
| Signal

Definition at line 144 of file cr_huff.v.

orc_6
| Signal

Definition at line 144 of file cr_huff.v.

orc_7
| Signal

Definition at line 144 of file cr_huff.v.

orc_8
| Signal

Definition at line 144 of file cr_huff.v.

Cr12_output_count
| Signal

Definition at line 145 of file cr_huff.v.

Cr12_edge
| Signal

Definition at line 146 of file cr_huff.v.

Cr12_edge_1
| Signal

Definition at line 146 of file cr_huff.v.

Cr12_edge_2
| Signal

Definition at line 146 of file cr_huff.v.

Cr12_edge_3
| Signal

Definition at line 146 of file cr_huff.v.

Cr12_edge_4
| Signal

Definition at line 146 of file cr_huff.v.

JPEG_bitstream
| Signal

Definition at line 147 of file cr_huff.v.

JPEG_bs
| Signal

Definition at line 147 of file cr_huff.v.

JPEG_bs_1
| Signal

Definition at line 147 of file cr_huff.v.

JPEG_bs_2
| Signal

Definition at line 147 of file cr_huff.v.

JPEG_bs_3
| Signal

Definition at line 147 of file cr_huff.v.

JPEG_bs_4
| Signal

Definition at line 147 of file cr_huff.v.

JPEG_bs_5
| Signal

Definition at line 147 of file cr_huff.v.

JPEG_Cr12_bs
| Signal

Definition at line 148 of file cr_huff.v.

JPEG_Cr12_bs_1
| Signal

Definition at line 148 of file cr_huff.v.

JPEG_Cr12_bs_2
| Signal

Definition at line 148 of file cr_huff.v.

JPEG_Cr12_bs_3
| Signal

Definition at line 148 of file cr_huff.v.

JPEG_Cr12_bs_4
| Signal

Definition at line 148 of file cr_huff.v.

JPEG_ro_bs
| Signal

Definition at line 149 of file cr_huff.v.

JPEG_ro_bs_1
| Signal

Definition at line 149 of file cr_huff.v.

JPEG_ro_bs_2
| Signal

Definition at line 149 of file cr_huff.v.

JPEG_ro_bs_3
| Signal

Definition at line 149 of file cr_huff.v.

JPEG_ro_bs_4
| Signal

Definition at line 149 of file cr_huff.v.

Cr11_JPEG_LSBs_3
| Signal

Definition at line 150 of file cr_huff.v.

Cr11_JPEG_LSBs
| Signal

Definition at line 151 of file cr_huff.v.

Cr11_JPEG_LSBs_1
| Signal

Definition at line 151 of file cr_huff.v.

Cr11_JPEG_LSBs_2
| Signal

Definition at line 151 of file cr_huff.v.

Cr12_JPEG_LSBs
| Signal

Definition at line 152 of file cr_huff.v.

Cr12_JPEG_LSBs_1
| Signal

Definition at line 152 of file cr_huff.v.

Cr12_JPEG_LSBs_2
| Signal

Definition at line 152 of file cr_huff.v.

Cr12_JPEG_LSBs_3
| Signal

Definition at line 152 of file cr_huff.v.

Cr11_JPEG_bits
| Signal

Definition at line 153 of file cr_huff.v.

Cr11_JPEG_bits_1
| Signal

Definition at line 153 of file cr_huff.v.

Cr12_JPEG_bits
| Signal

Definition at line 153 of file cr_huff.v.

Cr12_JPEG_LSBs_4
| Signal

Definition at line 153 of file cr_huff.v.

Cr12_code_entry
| Signal

Definition at line 154 of file cr_huff.v.

third_8_all_0s
| Signal

Definition at line 155 of file cr_huff.v.

fourth_8_all_0s
| Signal

Definition at line 155 of file cr_huff.v.

fifth_8_all_0s
| Signal

Definition at line 155 of file cr_huff.v.

sixth_8_all_0s
| Signal

Definition at line 155 of file cr_huff.v.

seventh_8_all_0s
| Signal

Definition at line 155 of file cr_huff.v.

eighth_8_all_0s
| Signal

Definition at line 156 of file cr_huff.v.

end_of_block
| Signal

Definition at line 156 of file cr_huff.v.

code_15_0
| Signal

Definition at line 156 of file cr_huff.v.

zrl_et_15
| Signal

Definition at line 156 of file cr_huff.v.

end_of_block_output
| Signal

Definition at line 156 of file cr_huff.v.

end_of_block_empty
| Signal

Definition at line 157 of file cr_huff.v.

code_index
| Signal

Definition at line 159 of file cr_huff.v.

The documentation for this Module was generated from the following files:

- code/cr_huff.v